## ros-noetic-mapviz-plugins 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mapviz_plugins)

set(DEPENDENCIES
  actionlib
  cv_bridge
  gps_common
  image_transport
  mapviz
  marti_common_msgs
  marti_nav_msgs
  marti_sensor_msgs
  marti_visualization_msgs
  move_base_msgs
  nav_msgs
  map_msgs
  pluginlib 
  roscpp 
  sensor_msgs
  std_msgs 
  stereo_msgs
  swri_image_util
  swri_math_util
  swri_route_util
  swri_transform_util
  swri_yaml_util
  tf 
  visualization_msgs
)

find_package(catkin REQUIRED COMPONENTS ${DEPENDENCIES})

### QT ###
find_package(Qt5Core REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5OpenGL REQUIRED)
find_package(Qt5Widgets REQUIRED)
# Setting these variable so catkin_package can export Qt as a dependency
set(Qt_FOUND TRUE)
set(Qt_INCLUDE_DIRS "${Qt5Core_INCLUDE_DIRS};${Qt5Gui_INCLUDE_DIRS};${Qt5OpenGL_INCLUDE_DIRS};${Qt5Widgets_INCLUDE_DIRS}")
set(Qt_LIBRARIES "${Qt5Core_LIBRARIES};${Qt5Gui_LIBRARIES};${Qt5OpenGL_LIBRARIES};${Qt5Widgets_LIBRARIES}")
set(Qt_LIBS
    Qt5::Core
    Qt5::Gui
    Qt5::OpenGL
    Qt5::Widgets
    )
add_definitions(-DWFlags=WindowFlags)

find_package(OpenCV COMPONENTS core imgproc REQUIRED)

### OpenGL ###
if(${CMAKE_VERSION} VERSION_EQUAL "3.11.0" OR ${CMAKE_VERSION} VERSION_GREATER "3.11.0")
  cmake_policy(SET CMP0072 NEW)
endif()
find_package(OpenGL REQUIRED)
find_package(GLUT REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  DEPENDS Qt
  CATKIN_DEPENDS ${DEPENDENCIES}
)

# Fix conflict between Boost signals used by tf and QT signals used by mapviz
add_definitions(-DQT_NO_KEYWORDS)

# Need to include the current dir to include the results of building Qt UI files
set(CMAKE_INCLUDE_CURRENT_DIR ON)
include_directories(include)
include_directories(SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
)

set(UI_FILES
    ui/attitude_indicator_config.ui
    ui/coordinate_picker_config.ui
    ui/disparity_config.ui
    ui/draw_polygon_config.ui
    ui/float_config.ui
    ui/gps_config.ui
    ui/grid_config.ui
    ui/image_config.ui
    ui/laserscan_config.ui
    ui/marker_config.ui
    ui/marti_nav_path_config.ui
    ui/marti_nav_plan_config.ui
    ui/measuring_config.ui
    ui/move_base_config.ui
    ui/navsat_config.ui
    ui/object_config.ui
    ui/occupancy_grid_config.ui
    ui/odometry_config.ui
    ui/path_config.ui
    ui/plan_route_config.ui
    ui/point_click_publisher_config.ui
    ui/pointcloud2_config.ui
    ui/pose_array_config.ui
    ui/pose_config.ui
    ui/pose_publisher_config.ui
    ui/robot_image_config.ui
    ui/route_config.ui
    ui/string_config.ui
    ui/textured_marker_config.ui
    ui/tf_frame_config.ui
    ui/topic_select.ui
)

set(SRC_FILES
    src/attitude_indicator_plugin.cpp 
    src/canvas_click_filter.cpp
    src/coordinate_picker_plugin.cpp
    src/disparity_plugin.cpp
    src/draw_polygon_plugin.cpp
    src/float_plugin.cpp
    src/gps_plugin.cpp
    src/grid_plugin.cpp
    src/image_plugin.cpp
    src/laserscan_plugin.cpp
    src/marti_nav_path_plugin.cpp
    src/marti_nav_plan_plugin.cpp
    src/marker_plugin.cpp 
    src/measuring_plugin.cpp 
    src/move_base_plugin.cpp
    src/navsat_plugin.cpp
    src/object_plugin.cpp
    src/occupancy_grid_plugin.cpp
    src/odometry_plugin.cpp 
    src/path_plugin.cpp
    src/placeable_window_proxy.cpp
    src/plan_route_plugin.cpp
    src/point_click_publisher_plugin.cpp
    src/pointcloud2_plugin.cpp
    src/point_drawing_plugin.cpp
    src/pose_array_plugin.cpp
    src/pose_plugin.cpp
    src/pose_publisher_plugin.cpp
    src/robot_image_plugin.cpp
    src/route_plugin.cpp
    src/string_plugin.cpp
    src/textured_marker_plugin.cpp
    src/tf_frame_plugin.cpp
)

set(HEADER_FILES
    include/${PROJECT_NAME}/attitude_indicator_plugin.h
    include/${PROJECT_NAME}/canvas_click_filter.h
    include/${PROJECT_NAME}/coordinate_picker_plugin.h
    include/${PROJECT_NAME}/disparity_plugin.h
    include/${PROJECT_NAME}/draw_polygon_plugin.h
    include/${PROJECT_NAME}/float_plugin.h
    include/${PROJECT_NAME}/gps_plugin.h
    include/${PROJECT_NAME}/grid_plugin.h
    include/${PROJECT_NAME}/image_plugin.h
    include/${PROJECT_NAME}/laserscan_plugin.h
    include/${PROJECT_NAME}/marti_nav_path_plugin.h
    include/${PROJECT_NAME}/marti_nav_plan_plugin.h
    include/${PROJECT_NAME}/marker_plugin.h
    include/${PROJECT_NAME}/measuring_plugin.h
    include/${PROJECT_NAME}/move_base_plugin.h
    include/${PROJECT_NAME}/navsat_plugin.h
    include/${PROJECT_NAME}/object_plugin.h
    include/${PROJECT_NAME}/occupancy_grid_plugin.h
    include/${PROJECT_NAME}/odometry_plugin.h
    include/${PROJECT_NAME}/path_plugin.h
    include/${PROJECT_NAME}/path_plugin.h
    include/${PROJECT_NAME}/placeable_window_proxy.h
    include/${PROJECT_NAME}/plan_route_plugin.h
    include/${PROJECT_NAME}/point_click_publisher_plugin.h
    include/${PROJECT_NAME}/pointcloud2_plugin.h
    include/${PROJECT_NAME}/point_drawing_plugin.h
    include/${PROJECT_NAME}/pose_array_plugin.h
    include/${PROJECT_NAME}/pose_plugin.h
    include/${PROJECT_NAME}/pose_publisher_plugin.h
    include/${PROJECT_NAME}/robot_image_plugin.h
    include/${PROJECT_NAME}/route_plugin.h
    include/${PROJECT_NAME}/string_plugin.h
    include/${PROJECT_NAME}/textured_marker_plugin.h
    include/${PROJECT_NAME}/tf_frame_plugin.h
)

qt5_wrap_ui(UI_SRC_FILES ${UI_FILES})
qt5_wrap_cpp(MOC_FILES ${HEADER_FILES})

add_library(${PROJECT_NAME}
    ${MOC_FILES}
    ${SRC_FILES}
    ${UI_SRC_FILES}
)

target_link_libraries(${PROJECT_NAME}
    ${catkin_LIBRARIES}
    ${GLU_LIBRARY}
    ${GLUT_LIBRARY}
    ${OpenCV_LIBS}
    ${Qt_LIBRARIES}
)

if ($ENV{ROS_DISTRO} STREQUAL "kinetic" OR $ENV{ROS_DISTRO} STRLESS "kinetic")
  set_target_properties(${PROJECT_NAME} PROPERTIES 
    CXX_STANDARD 11
    CXX_STANDARD_REQUIRED ON
  )
endif()
set_target_properties(${PROJECT_NAME} PROPERTIES
  COMPILE_FLAGS "-D__STDC_FORMAT_MACROS"
)

### Install the plugins ###
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(FILES ${PROJECT_NAME}.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-mapviz-plugins (1.4.2-1focal) focal; urgency=high

  * Merge pull request #716 <https://github.com/swri-robotics/mapviz/issues/716> from swri-robotics/pose_publisher
    Pose publisher
  * Merge pull request #752 <https://github.com/swri-robotics/mapviz/issues/752> from matt-attack/add-stuff
    Add bus features
  * Update dates
  * Add bus features
  * Merge pull request #734 <https://github.com/swri-robotics/mapviz/issues/734> from matt-attack/improve-textured-marker
    Fix Issues With Textured Marker Plugin
  * Make sure textured marker can handle delayed transforms and use marker alpha values
  * Merge pull request #715 <https://github.com/swri-robotics/mapviz/issues/715> from swri-robotics/posearray
    Add visualizer for PoseArray
  * Merge pull request #718 <https://github.com/swri-robotics/mapviz/issues/718> from agyoungs/fix-text-marker-disable
    Allow text markers to be enabled/disabled via their namespace using the marker plugin checkboxes
  * Merge pull request #721 <https://github.com/swri-robotics/mapviz/issues/721> from rjb0026/720-allow-building-with-c++14-for-version-greater-than-kinetic
    720 allow building with c++14 for version greater than kinetic
  * Conditionally setting c++ standard per target.
  * Removed explicit setting of compile flags for c++ standard version and replaced with conditional for building with C++11 in kinetic for mapviz and mapviz_plugins.
  * Allow text markers to be enabled/disabled via their namespace using the marker plugin checkboxes
  * Add visualizer for PoseArray
  * Contributors: Alex Youngs, David Anthony, Kevin Nickels, Matthew, Matthew Bries, rjb0026

 -- Marc Alban <malban@swri.org>  Tue, 13 Dec 2022 06:00:00 -0000

ros-noetic-mapviz-plugins (1.4.1-1focal) focal; urgency=high

  * Constrain the minimum line and point marker sizes to be 1 pixel wide. (#704 <https://github.com/swri-robotics/mapviz/issues/704>)
  * Fix compile warning in ROS Noetic (#706 <https://github.com/swri-robotics/mapviz/issues/706>)
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 22 Oct 2020 05:00:00 -0000

ros-noetic-mapviz-plugins (1.4.0-1focal) focal; urgency=high

  * Support ROS Noetic (#696 <https://github.com/swri-robotics/mapviz/issues/696>)
  * Add Visualization for marti_nav_msgs::TrackedObjectArray and marti_nav_msgs::ObstacleArray (#701 <https://github.com/swri-robotics/mapviz/issues/701>)
  * Merge pull request #689 <https://github.com/swri-robotics/mapviz/issues/689> from mdgrogan/update-distance-on-move-point
  * Use higher precision in the coordinate picker for wgs84 (#692 <https://github.com/swri-robotics/mapviz/issues/692>)
  * Clear the namespace list after hitting the clear button. (#691 <https://github.com/swri-robotics/mapviz/issues/691>)
  * Update the displayed distance continuously while moving a point.
  * Contributors: Matt Grogan, Matthew, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 28 Jul 2020 05:00:00 -0000

ros-noetic-mapviz-plugins (1.3.0-1focal) focal; urgency=high

  * Fix plan route visibility (#680 <https://github.com/swri-robotics/mapviz/issues/680>)
  * Disable coordinate picker and measuring plugin when hidden (#678 <https://github.com/swri-robotics/mapviz/issues/678>)
  * Increase odom queue size so messages dont drop (#676 <https://github.com/swri-robotics/mapviz/issues/676>)
  * Add float plugin (#665 <https://github.com/swri-robotics/mapviz/issues/665>)
  * Make string plugin also support string stamped (#666 <https://github.com/swri-robotics/mapviz/issues/666>)
  * Don't draw arrow for invalid orientation (#673 <https://github.com/swri-robotics/mapviz/issues/673>)
  * Remove OpenGL warning (#667 <https://github.com/swri-robotics/mapviz/issues/667>)
  * Change for loop to while loop in marker plugin so that iterators aren't getting double incremented on erases. (#663 <https://github.com/swri-robotics/mapviz/issues/663>)
  * Add ability to show all covariances (#659 <https://github.com/swri-robotics/mapviz/issues/659>)
  * Add ability to use relative paths for images in the robot image plugin (#658 <https://github.com/swri-robotics/mapviz/issues/658>)
  * Resolves segfault issue on ClearHistory() function call (#651 <https://github.com/swri-robotics/mapviz/issues/651>)
  * Default show background and measuring text to true (#657 <https://github.com/swri-robotics/mapviz/issues/657>)
  * Contributors: Daniel D'Souza, Matthew, Matthew Grogan, jgassaway, jreyes512, knickels

 -- Marc Alban <malban@swri.org>  Wed, 13 May 2020 05:00:00 -0000

ros-noetic-mapviz-plugins (1.2.0-1focal) focal; urgency=high

  * Add text to measuring plugin (#640 <https://github.com/swri-robotics/mapviz/issues/640>)
  * Add mapviz plug-in for PoseStamped messages. (#641 <https://github.com/swri-robotics/mapviz/issues/641>)
  * Fix occupancy grid to load color scheme from configuration. (#642 <https://github.com/swri-robotics/mapviz/issues/642>)
  * Restore GL_UNPACK_ALIGNMENT to 4 to prevent corruption of Qt font rendering. (#643 <https://github.com/swri-robotics/mapviz/issues/643>)
  * Add ability to show and hide markers by namespace (#636 <https://github.com/swri-robotics/mapviz/issues/636>)
  * Fixed layout of MeasuringPlugin (#633 <https://github.com/swri-robotics/mapviz/issues/633>)
  * Fixed marker plugin to use swri_transform_util to ensure wgs84 markers work properly (#635 <https://github.com/swri-robotics/mapviz/issues/635>)
  * Contributors: Arkady Shapkin, Marc Alban, Matthew, Matthew Grogan, agyoungs

 -- Marc Alban <malban@swri.org>  Wed, 04 Sep 2019 05:00:00 -0000

ros-noetic-mapviz-plugins (1.1.1-1focal) focal; urgency=high

  * Textured Marker Adjustments (#611 <https://github.com/swri-robotics/mapviz/issues/611>, #616 <https://github.com/swri-robotics/mapviz/issues/616>) (#625 <https://github.com/swri-robotics/mapviz/issues/625>)


=== debian/control ===
Source: ros-noetic-mapviz-plugins
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), libqt5opengl5-dev, qt5-qmake, qtbase5-dev, ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-gps-common, ros-noetic-image-transport, ros-noetic-map-msgs, ros-noetic-mapviz, ros-noetic-marti-common-msgs, ros-noetic-marti-nav-msgs, ros-noetic-marti-sensor-msgs, ros-noetic-marti-visualization-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-swri-image-util, ros-noetic-swri-math-util, ros-noetic-swri-route-util, ros-noetic-swri-transform-util, ros-noetic-swri-yaml-util, ros-noetic-tf, ros-noetic-visualization-msgs
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-noetic-mapviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5opengl5, ros-noetic-actionlib, ros-noetic-cv-bridge, ros-noetic-gps-common, ros-noetic-image-transport, ros-noetic-map-msgs, ros-noetic-mapviz, ros-noetic-marti-common-msgs, ros-noetic-marti-nav-msgs, ros-noetic-marti-sensor-msgs, ros-noetic-marti-visualization-msgs, ros-noetic-move-base-msgs, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-stereo-msgs, ros-noetic-swri-image-util, ros-noetic-swri-math-util, ros-noetic-swri-route-util, ros-noetic-swri-transform-util, ros-noetic-swri-yaml-util, ros-noetic-tf, ros-noetic-visualization-msgs
Description: Common plugins for the Mapviz visualization tool
